Bug 1746465 - kdeinit5 closed unexpectedly repeatedly
Summary: kdeinit5 closed unexpectedly repeatedly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-28 14:13 UTC by Roman Laube
Modified: 2019-10-12 01:28 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-12 01:28:55 UTC


Attachments (Terms of Use)

Description Roman Laube 2019-08-28 14:13:52 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:68.0) Gecko/20100101 Firefox/68.0
Build Identifier: 

After last update via PackageManager (lot of "kf5-*-5.59.rpm") and login to KDE I am repeatedly getting error "kdeinit5 closed unexpectedly" via "Notificatons". In journal I can see:
Process 17641 (file.so) of user 1000 dumped core.
                                                 
                                                 Stack trace of thread 17641:
                                                 #0  0x00007f64ca8468b5 _ZN6QMutex4lockEv (libQt5Core.so.5)
                                                 #1  0x00007f64caa3a186 _ZN10QTextCodec14codecForLocaleEv (libQt5Core.so.5)
                                                 #2  0x00007f64ca8c4569 _ZN7QString20fromLocal8Bit_helperEPKci (libQt5Core.so.5)
                                                 #3  0x00007f64ca99a7b8 _ZN14QStandardPaths16writableLocationENS_16StandardLocationE (libQt5Core.so.5)
                                                 #4  0x00007f64cbaf9881 n/a (libKF5Crash.so.5)
                                                 #5  0x00007f64cbafa362 n/a (libKF5Crash.so.5)
                                                 #6  0x00007f64cbafa815 _ZN6KCrash19defaultCrashHandlerEi (libKF5Crash.so.5)
                                                 #7  0x00007f64ca2ca600 .annobin_sigaction.c (libc.so.6)


Reproducible: Always

Steps to Reproduce:
1. update kf5-* to version 5.59
2. reboot and login
3.



Last updated packages:kf5-kconfig-core;5.59.0-1.fc29.1;x86_64
 kf5-kconfig-gui;5.59.0-1.fc29.1;x86_64
 kf5-filesystem;5.59.0-1.fc29;x86_64
 kf5-kcoreaddons;5.59.0-1.fc29;x86_64
 kf5-ki18n;5.59.0-1.fc29;x86_64
 kf5-kwidgetsaddons;5.59.0-1.fc29;x86_64
 kf5-kcodecs;5.59.0-1.fc29;x86_64
 kf5-kauth;5.59.0-1.fc29;x86_64
 kf5-kcompletion;5.59.0-1.fc29;x86_64
 kf5-kjobwidgets;5.59.0-1.fc29;x86_64
 kf5-kwindowsystem;5.59.0-1.fc29;x86_64
 kf5-kitemviews;5.59.0-1.fc29;x86_64
 kf5-knotifications;5.59.0-1.fc29;x86_64
 kf5-karchive;5.59.0-1.fc29;x86_64
 kf5-kcrash;5.59.0-1.fc29;x86_64
 kf5-kdbusaddons;5.59.0-1.fc29;x86_64
 kf5-kservice;5.59.0-1.fc29;x86_64
 kf5-solid;5.59.0-1.fc29;x86_64
 kf5-kpackage;5.59.0-1.fc29;x86_64
 kf5-kguiaddons;5.59.0-1.fc29;x86_64
 kf5-kconfigwidgets;5.59.0-1.fc29;x86_64
 kf5-kiconthemes;5.59.0-1.fc29;x86_64
 kf5-kcoreaddons-devel;5.59.0-1.fc29;x86_64
 kf5-sonnet-core;5.59.0-1.fc29;x86_64
 kf5-sonnet-ui;5.59.0-1.fc29;x86_64
 kf5-ktextwidgets;5.59.0-1.fc29;x86_64
 kf5-kfilemetadata;5.59.0-1.fc29;x86_64
 kf5-kio-ntlm;5.59.0-1.fc29;x86_64
 kf5-attica;5.59.0-1.fc29;x86_64
 kf5-kwidgetsaddons-devel;5.59.0-1.fc29;x86_64
 kf5-kunitconversion;5.59.0-1.fc29;x86_64
 kf5-kactivities;5.59.0-1.fc29;x86_64
 kf5-kidletime;5.59.0-1.fc29;x86_64
 kf5-kjs;5.59.0-1.fc29;x86_64
 kf5-kauth-devel;5.59.0-1.fc29;x86_64
 kf5-kjobwidgets-devel;5.59.0-1.fc29;x86_64
 kf5-kwallet;5.59.0-1.fc29;x86_64
 kf5-kwallet-libs;5.59.0-1.fc29;x86_64
 kf5-solid-devel;5.59.0-1.fc29;x86_64
 kf5-kglobalaccel;5.59.0-1.fc29;x86_64
 kf5-kglobalaccel-libs;5.59.0-1.fc29;x86_64
 kf5-kxmlgui;5.59.0-2.fc29;x86_64
 kf5-kbookmarks;5.59.0-1.fc29;x86_64
 kf5-kbookmarks-devel;5.59.0-1.fc29;x86_64
 kf5-kdoctools;5.59.0-1.fc29;x86_64
 kf5-kio-core-libs;5.59.0-1.fc29;x86_64
 kf5-kio-doc;5.59.0-1.fc29;noarch
 kf5-kinit;5.59.0-1.fc29;x86_64
 kf5-kio-widgets-libs;5.59.0-1.fc29;x86_64
 kf5-kio-core;5.59.0-1.fc29;x86_64
 kf5-kio-widgets;5.59.0-1.fc29;x86_64
 kf5-kparts;5.59.0-1.fc29;x86_64
 kf5-kio-file-widgets;5.59.0-1.fc29;x86_64
 kf5-kio-gui;5.59.0-1.fc29;x86_64
 kf5-baloo-libs;5.59.0-1.fc29;x86_64
kf5-kdeclarative;5.59.0-2.fc29;x86_64
 kf5-kio;5.59.0-1.fc29;x86_64
 kf5-knewstuff;5.59.0-1.fc29;x86_64
 kf5-frameworkintegration-libs;5.59.0-2.fc29;x86_64
 kf5-frameworkintegration;5.59.0-2.fc29;x86_64
 kf5-kded;5.59.0-1.fc29;x86_64
 kf5-kdelibs4support;5.59.0-1.fc29;x86_64
 kf5-kdelibs4support-libs;5.59.0-1.fc29;x86_64
 kf5-purpose;5.59.0-1.fc29;x86_64
 kf5-kitemviews-devel;5.59.0-1.fc29;x86_64
 kf5-kwindowsystem-devel;5.59.0-1.fc29;x86_64
 kf5-kcompletion-devel;5.59.0-1.fc29;x86_64
 kf5-kcodecs-devel;5.59.0-1.fc29;x86_64
 kf5-kpty;5.59.0-1.fc29;x86_64
 kf5-kross-core;5.59.0-1.fc29;x86_64
 kf5-kconfig;5.59.0-1.fc29.1;x86_64
 kf5-kconfig-devel;5.59.0-1.fc29.1;x86_64
 kf5-kservice-devel;5.59.0-1.fc29;x86_64
 kf5-kconfigwidgets-devel;5.59.0-1.fc29;x86_64
 kf5-kxmlgui-devel;5.59.0-2.fc29;x86_64
 kf5-kwayland;5.59.0-2.fc29;x86_64
 kf5-plasma;5.59.0-1.fc29;x86_64
 kf5-syntax-highlighting;5.59.0-1.fc29;x86_64
 kf5-threadweaver;5.59.0-1.fc29;x86_64
 pcre2-utf32;10.33-10.fc29;x86_64
 pcre2-utf16;10.33-10.fc29;x86_64
 pcre2;10.33-10.fc29;x86_64
 openblas;0.3.7-1.fc29;x86_64
 libreoffice-ure-common;1:6.1.6.3-3.fc29;noarch
 kf5-rpm-macros;5.59.0-1.fc29;noarch
 extra-cmake-modules;5.59.0-1.fc29;noarch
 kf5-kpackage-devel;5.59.0-1.fc29;x86_64
 kf5-kirigami2;5.59.0-1.fc29;x86_64
 cups-filters-libs;1.22.5-4.fc29;x86_64
 cups-filters;1.22.5-4.fc29;x86_64
 qqc2-desktop-style;5.59.0-1.fc29;x86_64
 kf5-plasma-devel;5.59.0-1.fc29;x86_64
 libreoffice-ure;1:6.1.6.3-3.fc29;x86_64
 openblas-serial;0.3.7-1.fc29;x86_64
 pcre2-devel;10.33-10.fc29;x86_64
 kf5-krunner;5.59.0-1.fc29;x86_64
 kf5-ktexteditor;5.59.0-1.fc29;x86_64
 kf5-kio-devel;5.59.0-1.fc29;x86_64
 kf5-kross-ui;5.59.0-1.fc29;x86_64
 kf5-kdesu;5.59.0-1.fc29;x86_64
 kf5-purpose-twitter;5.59.0-1.fc29;x86_64
 kf5-kcmutils;5.59.0-1.fc29;x86_64
 kf5-baloo;5.59.0-1.fc29;x86_64
 kf5-baloo-file;5.59.0-1.fc29;x86_64
 kf5-kdewebkit;5.59.0-1.fc29;x86_64
 kf5-khtml;5.59.0-1.fc29;x86_64
 kf5-knotifyconfig;5.59.0-1.fc29;x86_64
 kf5-kinit-devel;5.59.0-1.fc29;x86_64
 kf5-kxmlrpcclient;5.59.0-1.fc29;x86_64
 kf5-kjsembed;5.59.0-1.fc29;x86_64
 kf5-kidletime-devel;5.59.0-1.fc29;x86_64
kf5-kactivities-stats;5.59.0-1.fc29;x86_64
 kf5-kiconthemes-devel;5.59.0-1.fc29;x86_64
 kf5-kemoticons;5.59.0-1.fc29;x86_64
 kf5-kpeople;5.59.0-1.fc29;x86_64
 kf5-kdbusaddons-devel;5.59.0-1.fc29;x86_64
 kf5-knotifications-devel;5.59.0-1.fc29;x86_64
 kf5-syndication;1:5.59.0-1.fc29;x86_64
 kf5-ki18n-devel;5.59.0-1.fc29;x86_64
 kf5-bluez-qt;5.59.0-1.fc29;x86_64
 kf5-kdnssd;5.59.0-1.fc29;x86_64
 kf5-kimageformats;5.59.0-1.fc29;x86_64
 kf5-kitemmodels;5.59.0-1.fc29;x86_64
 kf5-kplotting;5.59.0-1.fc29;x86_64
 kf5-modemmanager-qt;5.59.0-1.fc29;x86_64
 kf5-networkmanager-qt;5.59.0-1.fc29;x86_64
 kf5-prison;5.59.0-1.fc29;x86_64
 oxygen-icon-theme;1:5.59.0-1.fc29;noarch
 lm_sensors-libs;3.5.0-2.fc29;x86_64
 libreoffice-opensymbol-fonts;1:6.1.6.3-3.fc29;noarch
 libreoffice-data;1:6.1.6.3-3.fc29;noarch
 libmodulemd;2.7.0-1.fc29;x86_64
 kf5-kholidays;1:5.59.0-1.fc29;x86_64
 geolite2-country;20190806-1.fc29;noarch
 geolite2-city;20190806-1.fc29;noarch
 breeze-icon-theme;5.59.0-1.fc29;noarch
 autocorr-en;1:6.1.6.3-3.fc29;noarch
 pcre2;10.33-10.fc29;i686

Comment 1 Mebus 2019-09-08 06:46:04 UTC
There is also a Thread on Superuser (Stackoverflow) on this:

https://superuser.com/questions/1475867/kdeinit5-fails-constantly-with-fedora-29

I would increase the priority of this issue to "high".

This is what I find in ~/.xsession-errors

[Parent 5886, Gecko_IOThread] WARNING: pipe error (226): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builddir/build/BUILD/firefox-68.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[Parent 5886, Gecko_IOThread] WARNING: pipe error (133): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builddir/build/BUILD/firefox-68.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[Child 27663, MediaPlayback #4] WARNING: Decoder=7fafa5cf5400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Parent 5886, Gecko_IOThread] WARNING: pipe error (85): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builddir/build/BUILD/firefox-68.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[Child 11028, MediaPlayback #4] WARNING: Decoder=7f575280a400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #1] WARNING: Decoder=7f57398b4e00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #1] WARNING: Decoder=7f57398b4e00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #3] WARNING: Decoder=7f57398b4e00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #3] WARNING: Decoder=7f57398b4e00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #1] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #1] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #3] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #3] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #4] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #3] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #1] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #4] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #4] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Child 11028, MediaPlayback #3] WARNING: Decoder=7f5738fbe400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builddir/build/BUILD/firefox-68.0.2/dom/media/MediaDecoderStateMachine.cpp, line 3307
[Parent 5886, Gecko_IOThread] WARNING: pipe error (127): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builddir/build/BUILD/firefox-68.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[Parent 5886, Gecko_IOThread] WARNING: pipe error (275): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builddir/build/BUILD/firefox-68.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[Parent 5886, Gecko_IOThread] WARNING: pipe error (151): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builddir/build/BUILD/firefox-68.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
KCrash: Application 'kdeinit5' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit
KCrash: Application 'kdeinit5' crashing...
KCrash: Attempting to start /usr/libexec/drkonqi from kdeinit


Mebus

Comment 2 Vojtech Sokol 2019-09-08 17:36:53 UTC
I can confirm that downgrading the kf5-kio* packages to 5.58 as per the linked Superuser/Stackoverflow thread solves the problem for me.

Comment 3 Michael Eager 2019-09-09 22:22:14 UTC
Easy way to reproduce: open then close Dolphin.

Comment 4 Jan Grulich 2019-09-30 05:38:18 UTC
There is now fix in upstream for this issue: https://cgit.kde.org/kio.git/commit/?id=2c379fecccbf5e2c0b20a93c843c009f2f597318

Comment 5 Fedora Update System 2019-09-30 06:11:04 UTC
FEDORA-2019-01dfc11f76 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-01dfc11f76

Comment 6 Fedora Update System 2019-10-03 03:30:46 UTC
kf5-kio-5.59.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-01dfc11f76

Comment 7 Fedora Update System 2019-10-12 01:28:55 UTC
kf5-kio-5.59.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.